org.apache.datasketches.sampling

## Class VarOptItemsSamples.WeightedSample

- java.lang.Object
- - org.apache.datasketches.sampling.VarOptItemsSamples.WeightedSample

Enclosing class:
  VarOptItemsSamples<T>

    public final class VarOptItemsSamples.WeightedSample
    extends Object

A convenience class to allow easy iterator access to a VarOpt sample.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getItem()` Accesses the iterator's current object
`double` `getWeight()` Accesses the iterator's current weight value

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getItem

    public T getItem()

Accesses the iterator's current object

Returns:
  An item from the sketch's data sample

#### getWeight

    public double getWeight()

Accesses the iterator's current weight value

Returns:
  A weight from the sketch's data sample